#
#

CC=cc

CFLAGS = /INCLUDE=([-],[-.-.include]) /DEFINE=(HAVE_CONFIG_H,HAVE_GETENV,HAVE_MALLOC,HAVE_QSORT,HAVE_STRTOULL,HAVE_SSCANF,HAVE_LIBC) /DEB /FLOAT=IEEE

OBJS = sdl_getenv.obj, sdl_iconv.obj, \
       sdl_malloc.obj, sdl_qsort.obj, sdl_stdlib.obj, sdl_string.obj

ALL : stdlib.olb
        cop stdlib.olb [-]

stdlib.olb : $(OBJS)
        LIB/CREA stdlib.olb $(OBJS)

sdl_getenv.obj : sdl_getenv.c
	$(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_iconv.obj : sdl_iconv.c
	$(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_malloc.obj : sdl_malloc.c
	$(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_qsort.obj : sdl_qsort.c
	$(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_stdlib.obj : sdl_stdlib.c
	$(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_string.obj : sdl_string.c
	$(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)


clean :
        del *.obj;*
        del *.olb;*

